!-------------------------------------------------
!  UCpack Module
!-------------------------------------------------
module ucpack
  use dcl_common
  contains
    subroutine DclDrawXAxisCalendar (cside,jd0,nd) !日・月・年に関する座標軸を描く．
      character(len=1), intent(in) :: cside       !座標軸を書く場所を指定する
      integer,   intent(in) :: jd0                !ucで0に相当する場所の日付を指定する
      integer,   intent(in) :: nd                 !作画する日数を指定する
      call ucxacl(cside,jd0,nd) 
    end subroutine
      
    subroutine DclDrawYAxisCalendar (cside,jd0,nd) !日・月・年に関する座標軸を描く．
      character(len=1), intent(in) :: cside       !座標軸を書く場所を指定する
      integer,   intent(in) :: jd0                !ucで0に相当する場所の日付を指定する
      integer,   intent(in) :: nd                 !作画する日数を指定する
      call ucyacl(cside,jd0,nd) 
    end subroutine
      
    subroutine DclDrawXAxisDay(cside,jd0,nd) !日に関する座標軸を描く．
      character(len=1), intent(in) :: cside       !座標軸を書く場所を指定する
      integer,   intent(in) :: jd0                !ucで0に相当する場所の日付を指定する
      integer,   intent(in) :: nd                 !作画する日数を指定する
      call ucxady(cside,jd0,nd) 
    end subroutine
      
    subroutine DclDrawYAxisDay(cside,jd0,nd)   !日に関する座標軸を描く．
      character(len=1), intent(in) :: cside       !座標軸を書く場所を指定する
      integer,   intent(in) :: jd0                !ucで0に相当する場所の日付を指定する
      integer,   intent(in) :: nd                 !作画する日数を指定する
      call ucyady(cside,jd0,nd)  
    end subroutine
      
    subroutine DclDrawXAxisMonth(cside,jd0,nd)    !月に関する座標軸を描く．
      character(len=1), intent(in) :: cside       !座標軸を書く場所を指定する
      integer,   intent(in) :: jd0                !ucで0に相当する場所の日付を指定する
      integer,   intent(in) :: nd                 !作画する日数を指定する
      call ucxamn(cside,jd0,nd) 
    end subroutine
      
    subroutine DclDrawYAxisMonth(cside,jd0,nd)    !月に関する座標軸を描く．
      character(len=1), intent(in) :: cside       !座標軸を書く場所を指定する
      integer,   intent(in) :: jd0                !ucで0に相当する場所の日付を指定する
      integer,   intent(in) :: nd                 !作画する日数を指定する
      call ucyamn(cside,jd0,nd) 
    end subroutine
      
    subroutine DclDrawXAxisYear(cside,jd0,nd)      !年に関する座標軸を描く．
      character(len=1), intent(in) :: cside       !座標軸を書く場所を指定する
      integer,   intent(in) :: jd0                !ucで0に相当する場所の日付を指定する
      integer,   intent(in) :: nd                 !作画する日数を指定する
      call ucxayr(cside,jd0,nd)
    end subroutine
      
    subroutine DclDrawYAxisYear (cside,jd0,nd)    !年に関する座標軸を描く．
      character(len=1), intent(in) :: cside       !座標軸を書く場所を指定する
      integer,   intent(in) :: jd0                !ucで0に相当する場所の日付を指定する
      integer,   intent(in) :: nd                 !作画する日数を指定する
      call ucyayr(cside,jd0,nd)
    end subroutine

end module
!ucpack library end ----
  